VismaBouwsoftAPICalls.v1_PUT_Payments Method
v1_PUT_Payments() as String

This API call is used to update fields of a(n) Payment

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /Payments/{id}

You make this API call with the key field id as the path parameter (the id of the Payment you want to update)

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
purchaseinvoice_id 1 tpLong 0 No Yes No
purchaseinvoice_nr 1 tpLong 0 No No No
salesinvoice_id 1 tpLong 0 No Yes No
salesinvoice_type 2 tpString 50 No No No
salesinvoice_nr 1 tpLong 0 No No No
address_id 1 tpLong 0 No Yes No
address_name 2 tpString 150 No No No
paymentaccount_id 1 tpLong 0 No Yes No
paymentaccount_nr 2 tpString 100 No No No
paymentaccount_name 2 tpString 150 No No No
date 3 tpDate 0 No Yes No
amount 8 tpCurrency 0 No Yes No
paymentmethod 2 tpString 0 No No No
paymentmethod_localized 2 tpString 0 No No No
advance 5 tpBool 0 No No No
iban 2 tpString 35 No Yes No
bic 2 tpString 11 No Yes No
note 2 tpString 0 No Yes No
docnr 2 tpString 50 No Yes No
statementnr 2 tpString 50 No Yes No
externalcode 2 tpString 250 No Yes No
externalsource 1 tpLong 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/Payments/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Payments/903

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: mOlfWxfDjrzSfOjVlfzRqlAjfbrbfGtbfDlkzGrkOmjGVmrlDO

Query Parameters :
ParameterName: columns, ParameterValue: amount=–50,paymentaccount_id=1,iban=’BE38750608132972’

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 903,
    "paymentaccount_id": 1,
    "paymentaccount_nr": "BE67 0013 3231 34 87",
    "paymentaccount_name": "Use IT Group NV",
    "amount": –50.0,
    "iban": "BE38750608132972",
    "bic": "AXAB BE 22"
  }
]
}